package com.ssj.service.sys.xb.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.sys.xb.domain.XbFeedbackImg;
import com.ssj.dao.sys.xb.dao.IXbFeedbackImgDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.sys.xb.service.IXbFeedbackImgService;
@Service(version ="1.0")
@Transactional
public class XbFeedbackServiceImgImpl extends BaseServiceImpl<XbFeedbackImg, String> implements IXbFeedbackImgService {

	@Autowired
	private IXbFeedbackImgDao dao;
	
	@Override
	public PagingAndSortingRepository<XbFeedbackImg, String> getDao() {
		
		return dao;
	}

	@Override
	public XbFeedbackImg findByCouserIdAndFileKey(String id, String fileKey) {
		
		return dao.findByCouserIdAndFileKey(id,fileKey);
	}

	@Override
	public XbFeedbackImg findByCouserIdAndFileKeyAndCourse(String courseId, String fileKey, String courseName) {
		
		return dao.findByCouserIdAndFileKeyAndCourse(courseId,fileKey,courseName);
	}

	@Override
	public void updateImgFeedbackId(String id, String courseId, String courseName) {
		
		dao.updateImgFeedbackId(id,courseId,courseName);
	}

}
